Bug 1566023 - growing glusterd memory usage
Summary: growing glusterd memory usage
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-gluster-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1567899 1573066
TreeView+ depends on / blocked
 
Reported: 2018-04-11 11:26 UTC by Lubos Trilety
Modified: 2018-11-13 16:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1567899 (view as bug list)
Environment:
Last Closed: 2018-04-26 10:38:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
imported cluster memory usage (42.43 KB, image/png)
2018-04-16 11:05 UTC, Lubos Trilety
no flags Details
not imported cluster memory usage (46.46 KB, image/png)
2018-04-16 11:06 UTC, Lubos Trilety
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1538248 0 unspecified CLOSED [RFE] Performance Improvements 2021-02-22 00:41:40 UTC

Internal Links: 1538248

Description Lubos Trilety 2018-04-11 11:26:16 UTC
Description of problem:
Connecting and importing gluster cluster (trusted storage pool) to the RHGSWA causes a growing memory consumption by glusterd process.
In my case it takes the whole memory and swap together. In other words it seems there's no limit for the grow.
E.g. after 4 days the increment is more than 1GB


Version-Release number of selected component (if applicable):
tendrl-gluster-integration-1.6.1-3.el7rhgs.noarch
tendrl-collectd-selinux-1.5.4-2.el7rhgs.noarch
tendrl-commons-1.6.1-3.el7rhgs.noarch
tendrl-node-agent-1.6.1-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch


How reproducible:
100%


Steps to Reproduce:
1. import gluster cluster to RHGSWA
2. check glusterd memory usage and wait a while
3.

Actual results:
Memory usage of glusterd process has a firm tendency to grow.

Expected results:
Memory usage of glusterd process should not change after the cluster is connected to and imported in RHGSWA.

Additional info:
The glusterd process does not have such consumption before the cluster is imported to RHGSWA.

Comment 1 Atin Mukherjee 2018-04-11 13:56:05 UTC
Can you provide the rpm version of glusterfs packages?

Comment 2 Lubos Trilety 2018-04-12 06:40:47 UTC
ok, here they are:
# rpm -qa | grep gluster | sort
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-3.12.2-7.el7rhgs.x86_64
glusterfs-api-3.12.2-7.el7rhgs.x86_64
glusterfs-cli-3.12.2-7.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-7.el7rhgs.x86_64
glusterfs-events-3.12.2-7.el7rhgs.x86_64
glusterfs-fuse-3.12.2-7.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-7.el7rhgs.x86_64
glusterfs-libs-3.12.2-7.el7rhgs.x86_64
glusterfs-rdma-3.12.2-7.el7rhgs.x86_64
glusterfs-server-3.12.2-7.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7.x86_64
python2-gluster-3.12.2-7.el7rhgs.x86_64
tendrl-gluster-integration-1.6.1-3.el7rhgs.noarch
vdsm-gluster-4.19.43-2.3.el7rhgs.noarch

Comment 6 Lubos Trilety 2018-04-16 11:05:12 UTC
Created attachment 1422405 [details]
imported cluster memory usage

Comment 7 Lubos Trilety 2018-04-16 11:06:02 UTC
Created attachment 1422406 [details]
not imported cluster memory usage

Comment 10 Martin Bukatovic 2018-04-25 10:46:34 UTC
Do we need to fix anything on tendrl side wrt this problem?


Note You need to log in before you can comment on or make changes to this bug.